Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface NavigableView

All Superinterfaces
  ChildView, Serializable, View

All Known Subinterfaces:
  BookView, PageView

    public interface NavigableView

extends ChildView

View class for a navigable, which is either a book or a page. A navigable is an item on a book that can be navigated to from a menu.

In other words, Parent Books can contain both child Pages and Child Books. Navigable is a term used to represent either one of these.

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. An Instance or a Definition however can always be obtained from the view. The persistence APIs provide coarse grain and fine grain getters, but only fine grain setters. If you are interested in an object and all its children then retrieve the View, but if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

See Also
  `View`
  This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Field Summary
`static short` | `ALIGNMENT_LEFT` Constant for signifying that the menu tabs should align to the left.
`static short` | `ALIGNMENT_RIGHT` Constant for signifying that the menu tabs should align to the right.

Method Summary
`int` | `getAlignment()` Returns the menu tabs' alignment for this navigable (page or book).
`BookGroupId` | `getBookGroupId()` Getter for navigables's book group id.
`String` | `getDefinitionLabel()` The unique definition label as defined in the .portal file.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this navigable.
`int` | `getMenuPosition()` Return the relative position of this navigable (page or book) in the menu.
`NavigableDefinition` | `getNavigableDefinition()` Retrieve the associated `NavigableDefinition` from this Navigable View.
`NavigableInstance` | `getNavigableInstance()` Retrieve the associated `NavigableInstance` from this Navigable View.
`boolean` | `isDefaultPage()` Indicates whether this is the default navigable or not.
`boolean` | `isHidden()` Is this book/page hidden? The hidden flag is an indicator to the parent book's `Menu` to not display a `tab` or `menu item` for this Book/Page.
`boolean` | `isPublic()` Is this book/page public? The public flag determines if the book or page should show up in the admin tool's library.

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Field Detail

### ALIGNMENT_LEFT

    static final short ALIGNMENT_LEFT

  Constant for signifying that the menu tabs should align to the left.

  See Also
    Constants Summary

### ALIGNMENT_RIGHT

    static final short ALIGNMENT_RIGHT

  Constant for signifying that the menu tabs should align to the right.

  See Also
    Constants Summary

Method Detail

### getNavigableInstance

    NavigableInstance getNavigableInstance()

  Retrieve the associated `NavigableInstance` from this Navigable View. Navigable Views are immutable but Navigable Instances and Navigable Definitions are not. Therefore it is often necessary to retrieve the instance from the view in order to update its values and then in turn call the persistence API.

  Returns
    a non-null Navigable Instance.

### getNavigableDefinition

    NavigableDefinition getNavigableDefinition()

  Retrieve the associated `NavigableDefinition` from this Navigable View. Navigable Views are immutable but Navigable Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API. The Navigable Definition is constructed (in the database) either via API of disassembling a .portal file.

  Returns
    a non-null Navigable Definition

### getLocalizationResourceView

    LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this navigable.

  Returns
    a non-null LocalizationResourceView customized per the request.

### getDefinitionLabel

    String getDefinitionLabel()

  The unique definition label as defined in the .portal file.

  Returns
    a non-null definition label.

### isHidden

    boolean isHidden()

  Is this book/page hidden? The hidden flag is an indicator to the parent book's `Menu` to not display a `tab` or `menu item` for this Book/Page. The Navigable can still be displayed via another link or backing files.

  Returns
    true if the hidden flag is set.

### getAlignment

    int getAlignment()

  Returns the menu tabs' alignment for this navigable (page or book). The alignment is a hint to the menu skeleton to render the tab on the left or right side of the menu. Since this is only a hint to the menu skeleton, if the skeleton does not support it, it will have no effect.

  Returns
    `ALIGNMENT_LEFT` or `ALIGNMENT_RIGHT`

### getMenuPosition

    int getMenuPosition()

  Return the relative position of this navigable (page or book) in the menu. The actual position is determined by a combination of `alignment` and `menuPosition`. Positions are in order but do not have to be sequential (0,1,2,3); they can be (3,7,9), although future service packs may enforce this.

  Returns
    the the relative position for this navigable on the main book.

### isDefaultPage

    boolean isDefaultPage()

  Indicates whether this is the default navigable or not.

  Returns
    Returns true if this is the default navigable within a book otherwise false.

### isPublic

    boolean isPublic()

  Is this book/page public? The public flag determines if the book or page should show up in the admin tool's library. If this value is false, the definition still exists in the database, but it doesn't show up in the tools. Books and Pages created by admins at the desktop level or by visitors creating their own books and pages are not public.

  Returns
    true if the public flag is set.

### getBookGroupId

    BookGroupId getBookGroupId()

  Getter for navigables's book group id. The book group id represents a unique placement of a navigable on a book. If this navigable is placed on a Book then this book group id represents the primary key value of the PF_BOOK_GROUP.BOOK_GROUP_ID value in the database. Also, if this view was obtained directly and not from a parent view object then this value may also be null.

  Returns
    the book group id if this navigable view was retrieved from a higher level view object (example BookView.getBookViews()).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.